inherit core-image 
inherit extrausers
inherit populate_sdk populate_sdk_qt5

IMAGE_FEATURES += "ssh-server-openssh package-management"
SDKIMAGE_FEATURES = "dev-pkgs doc-pkgs dbg-pkgs package-management"
IMAGE_INSTALL += " \
base-files base-passwd systemd busybox file findutils gawk grep sed util-linux sudo module-init-tools less nemo-qml-plugin-contextkit nemo-qml-plugin-notifications \
bluez5 iproute2 pulseaudio ppp qtbase-plugins statefs dsme mce ngfd timed sensorfw mapplauncherd-booster-qtcomponents \
qtquickcontrols-qmlplugins qtdeclarative-qmlplugins glacier-home qtmultimedia qtfeedback \
usb-moded libegl-mesa libgles2-mesa openssh-sshd openssh-sftp-server openssh-scp connman libconnman-qt5-qmlplugins pam-plugin-loginuid \ 
glacier-settings literm qtquickcontrols2"
EXTRA_USERS_PARAMS = "groupadd system; \
                      groupadd statefs; \
                      groupadd gps; \
                      groupadd -f -g 1024 mtp; \
                      useradd -p '' -G 'audio,video,system,gps,statefs,mtp' nemo"

IMAGE_OVERHEAD_FACTOR = "1.5"
IMAGE_ROOTFS_EXTRA_SPACE = "262144"           

PACKAGECONFIG_append_pn-qtmultimedia = " gstreamer010"
